#pragma GCC optimize("Ofast")
#include<bits/stdc++.h>

using namespace std;
#define int long long

const int mod = 998244353 , mod2 = 1e9 + 13;

int umn(int a , int b) {
    return ((a * b) % mod + mod) % mod;
}
int add(int a , int b) {
    return ((a + b) % mod + mod) % mod;
}
int umn2(int a , int b) {
    return ((a * b) % mod2 + mod2) % mod2;
}
int mn(int a , int b) {
    return ((a - b) % mod + mod) % mod;
}

int bp(int a , int p) {
    if(p == 0)return 1;
    if(p % 2 == 0) {
        int x = bp(a , p / 2);
        return umn(x , x);
    } else {
        return umn(bp(a , p - 1) , a);
    }
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n , sum =0 , mx = 0;
    cin >> n;
    vector<int>p(n);
    vector<pair<int , int>> st;
    vector<int> prefa(n + 1) , prefb(n + 1);
    for(int i = 0 ; i< n ; i++) {
        int a , b;
        cin >> a >> b;
        prefa[i + 1] = prefa[i] + a;
        prefb[i + 1] = prefb[i] + b;
        st.push_back({a , b});
    }
    for(int i = 0 ; i < n ; i++) {
        cin >> p[i];
    }
//    int mx = 0;
    for(int i = 1 ; i <= n ; i++) {
        mx  =max(mx , prefb[i] * i + prefa[i]);
    }
    cout << mx;

}
